<?xml version="1.0" encoding="UTF-8"?>
<!--

    Legato is a configurable, lightweight web mapping client that can be
    easily embedded into web pages and portals, CMS and individual web
    applications. Legato is implemented in JavaScript and based on the
    popular open source library OpenLayers.

    Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

-->

<!DOCTYPE dwr PUBLIC
    "-//GetAhead Limited//DTD Direct Web Remoting 2.0//EN"
    "http://getahead.org/dwr/dwr20.dtd">

<dwr>

  <init>
  <!--
    <converter id="geometry" class="net.disy.ogc.gml.v_3_1_1.dwr.GeometryConverter" />
    <converter id="point" class="net.disy.ogc.gml.v_3_1_1.dwr.PointTypeConverter" />
    <converter id="lineString" class="net.disy.ogc.gml.v_3_1_1.dwr.LineStringTypeConverter" />
    <converter id="polygon" class="net.disy.ogc.gml.v_3_1_1.dwr.PolygonTypeConverter" />
    <converter id="JAXBElement" class="net.disy.commons.xml.bind.dwr.JAXBElementConverter" />
    <converter id="QName" class="net.disy.commons.xml.namespace.dwr.QNameConverter" />
    <converter id="XMLGregorianCalendar" class="net.disy.commons.xml.datatype.XMLGregorianCalendarConverter" />
  -->
  </init>

  <allow>

  <!--

    <create creator="new" javascript="WpsOperations">
      <param name="class" value="net.disy.ogc.wps.v_1_0_0.dwr.WpsOperationsController" />
      <include method="getCapabilities" />
      <include method="describeProcess" />
      <include method="execute" />
    </create>

    <create creator="new" javascript="GmlGeometry">
      <param name="class" value="net.disy.ogc.gml.v_3_1_1.dwr.GmlGeometryController" />
      <include method="processGeometry" />
    </create>

     -->


<!--
    <convert converter="bean" match="net.disy.ogc.wpspd.v_1_0_0.*" />
    <convert converter="bean" match="net.opengis.wps.v_1_0_0.*" />
    <convert converter="bean" match="net.opengis.ows.v_1_1_0.*" />
    <convert converter="bean" match="net.opengis.se.v_1_1_0.*" />
    <convert converter="bean" match="net.opengis.filter.v_1_1_0.*" />
    <convert converter="bean" match="net.opengis.gml.v_3_1_1.*" />
    <convert converter="geometry" match="net.opengis.gml.v_3_1_1.AbstractGeometryType" />
    <convert converter="point" match="net.opengis.gml.v_3_1_1.PointType" />
    <convert converter="lineString" match="net.opengis.gml.v_3_1_1.LineStringType" />
    <convert converter="polygon" match="net.opengis.gml.v_3_1_1.PolygonType" />
    <convert converter="JAXBElement" match="javax.xml.bind.JAXBElement">
      <param name="contextPath" value="net.opengis.ows.v_1_1_0:net.opengis.gml.v_3_1_1:net.opengis.filter.v_1_1_0:net.opengis.se.v_1_1_0:org.w3.smil.v_2_0:org.w3.smil.v_2_0.language:net.disy.ogc.wpspd.v_1_0_0" />
    </convert>
    <convert converter="QName" match="javax.xml.namespace.QName" />
    <convert converter="XMLGregorianCalendar" match="javax.xml.datatype.XMLGregorianCalendar" />
    <convert match="java.lang.Throwable" converter="exception">
      <param name="include" value="message"/>
    </convert>
    -->
  </allow>

  <signatures>
    <![CDATA[
      import net.opengis.wps.v_1_0_0.ComplexDataType;
      import java.util.List;
      import javax.xml.bind.JAXBElement;
      ComplexDataType.setContent(List<JAXBElement>);
    ]]>
  </signatures>
</dwr>